JPG2SSWF(1)

NAME
jpg2swf - Sample tool to create slideshows of JPEG and Targa images

SYNOPSIS
jpg2swf [options] file ...

DESCRIPTION
jpg2swf is a simple tool which reads images (jpeg and targa at this time) and creates a slideshow using the SWF file format (the output is a Flash movie).

The following explains the options available in the tool. For much more options and complete support of Flash version 7, you certainly want to look into sswf instead. The source code of this tool can, however, be very useful if you want to use the C++ library coming with sswf.

OPTIONS
The following options are understood by jpg2swf.

-b <background color>
    Define the background color. The format is expected to be like in HTML (i.e. a hash (#) followed with 6 hexadecimal digits). For instance, for a pure cyan background, one can use #00FFFF. By default the background color is pure white (#FFFFFF).

-B  This option is used to Blank out the screen at the end of the slideshow. This option is ignored if you also specify the -l option (loop). The blanking corresponds to the background color of the movie (see the -b option for more information about the background color).

-h  Show the help screen with a quick explaination of each of the currently supported options.

-l  Setup the loop mode. This means the slideshow will be played forever. It cancels any action defined by the -B option.

-o <filename>.swf
    Defines the output filename. When you are not creating a slideshow, then you can reuse the -o option for each input file that you pass on the command line. The option will be used for the next file. For instance, to create the movies a.swf and b.swf from the files img1.jpg and img2.tga, then you would write the following:
    jpg2swf -o a.swf img1.jpg -o b.swf img2.tga

-q <quality>
    Defines the JPEG compression quality in the final output. The best compression is 100 and the worse is 1. Other values will either be ignored or clamped. The default is 90.

-r <rate>
    Defines the rate at which the images will be played. A slow slideshow will use a small rate (such as 1.0), a very fast slideshow will use a large rate (such as 15.0). The rate is not clamped internally. It can be as small as 1/255th and also it can be as large as 255. It is strongly suggested that you do not use more than 30.

-s  Start a slideshow. When this option is NOT mentioned, then each image is created in a separate Flash file. When this option is specified, it creates one Flash file which is a slideshow of all the specified files up to the next -s option. You can specify -l or -B and -r for slideshows. Note that the tool does not try to resize the images. You need to make sure that all the input images are of the same size to make it look nice. You can create several Flash files by using the -s option multiple times.
    When the -s option is used, you get only one output file. Thus, you only need to specify one output filename with the -o option. This option can be repeat for each -s option (put the -o after the -s option.) If no -o is specified with the -s option, then the tool uses the name of the last image it loaded with the .swf extension.

ARGUMENTS
All the arguments which do not start with a dash (-) are taken as image file names. When the -s option is used, all the images are used to generate a slideshow (multiple -s can be used to create multiple slideshows in one go). Otherwise, the tool creates one Flash movie per image successfully loaded.

FILES
When jpg2swf is used without the
    -o option, the system automatically saves the result in a file named after the input file(s) with its extension changed to .swf.

SEE ALSO
sswf, the only SSWF compiler.

sswf(1), swf_dump(1), ft2sswf(1)

BUGS

None the command line options are currently checked for validity. It is your responsibility to make sure that it is correct.

You are welcome to report bugs to me at:
    alexis_wilke@users.sourceforge.net
    Thank you in advance for the info!

VERSION

This manual page is part of version <VERSION> of SSWF.

This file was last updated on <DATE>.

COPYRIGHT
jpg2swf is a Copyright (c) 2006-2007 by Made to Order Software Corp.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.